<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <base target="_top" />
    <!-- External Libraries PanZoom Jquery Popper Bootstrap-->
    <script type="text/javascript" src="js/svg-pan-zoom.min.js"></script>
    <script type="text/javascript" src="js/jquery-3.4.1.min.js"></script>
    <!-- local version
    <link rel="stylesheet" href="css/bootstrap.min.css" ></link>
    <script src="js/bootstrap.bundle.js"></script>
    -->
    <!-- cdn version
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/svg-pan-zoom@3.5.0/dist/svg-pan-zoom.min.js"></script>
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous"></link>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

    -->
    <!-- Internal css and javascript -->
    <script type="text/javascript" src="js/viaInfo.js"></script>
    <script type="text/javascript" src="js/via.js"></script>
    <link rel="stylesheet" href="css/via.css">
    <script type="text/javascript" src="js/viaPanZoom.js"></script>
    <script type="text/javascript" src="js/viaLayer.js"></script>
    <script type="text/javascript" src="js/viaView.js"></script>
    <script type="text/javascript" src="js/viaSlide.js"></script>
  </head>

  <body onload="init()">
  <div id="viaXml">
    <slides id="slides">
      <slide id="slide1" view="global" transition="0">First Slide
        <layers>
          <layer>level 0</layer>
        </layers>
      </slide>
      <slide id="slide2" view="global" transition="0">Second Slide
        <layers>
          <layer>level 0</layer>
          <layer>level 1</layer>
          <layer>level 2</layer>
        </layers>
      </slide>
      <slide id="slide3" view="zoom" transition="1">Third Slide
        <layers>
          <layer>level 0</layer>
          <layer>level 1</layer>
          <layer>level 2</layer>
        </layers>
      </slides>
    </slides>
  </div>
  <div id="screen">
    <div id="svgContainer">
      <svg
      xmlns:via="foo"
      xmlns:dc="http://purl.org/dc/elements/1.1/"
      xmlns:cc="http://creativecommons.org/ns#"
      xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
      xmlns:svg="http://www.w3.org/2000/svg"
      xmlns="http://www.w3.org/2000/svg"
      xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
      xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
      width="1920"
      height="1080"
      viewBox="0 0 507.99999 285.75001"
      version="1.1"
      id="svg"
      inkscape:version="0.92.4 (5da689c313, 2019-01-14)"
      sodipodi:docname="foo.svg"
      via:slides="global;details;zoom">
     <defs
        id="defs2" />
     <sodipodi:namedview
        id="base"
        pagecolor="#ffffff"
        bordercolor="#666666"
        borderopacity="1.0"
        inkscape:pageopacity="0.0"
        inkscape:pageshadow="2"
        inkscape:zoom="1.854559"
        inkscape:cx="1267.7513"
        inkscape:cy="473.24742"
        inkscape:document-units="mm"
        inkscape:current-layer="layer1"
        showgrid="false"
        units="px"
        inkscape:window-width="2560"
        inkscape:window-height="1396"
        inkscape:window-x="1288"
        inkscape:window-y="0"
        inkscape:window-maximized="1" />
     <metadata
        id="metadata5">
       <rdf:RDF>
         <cc:Work
            rdf:about="">
           <dc:format>image/svg+xml</dc:format>
           <dc:type
              rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
           <dc:title />
         </cc:Work>
       </rdf:RDF>
     </metadata>
     <g
        inkscape:label="level 0"
        via:id="level 0"
        inkscape:groupmode="layer"
        id="layer1"
        transform="translate(0,-11.249983)"
        class="viaLayer"
        style="display:inline">
       <rect
          y="24.094618"
          x="223.42084"
          height="260.06073"
          width="266.12146"
          id="rect33"
          style="fill:#bfbfbf;stroke-width:0.31081504" />
       <text
          xml:space="preserve"
          style="font-style:normal;font-weight:normal;font-size:21.76531982px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;fill:#3366cc;fill-opacity:1;stroke:none;stroke-width:0.54413301"
          x="253.12958"
          y="49.613152"
          id="text39"><tspan
            sodipodi:role="line"
            id="tspan37"
            x="253.12958"
            y="49.613152"
            style="fill:#3366cc;stroke-width:0.54413301">Block 2</tspan></text>
       <rect
          style="fill:#bfbfbf;stroke-width:0.26458332"
          id="rect31"
          width="192.84164"
          height="260.06073"
          x="18.45771"
          y="24.094618"
          class=""
          via:viaId="kbo1" />
       <text
          xml:space="preserve"
          style="font-style:normal;font-weight:normal;font-size:21.76532173px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;display:inline;fill:#3366cc;fill-opacity:1;stroke:none;stroke-width:0.54413301"
          x="101.0336"
          y="49.613152"
          id="text39-4"><tspan
            sodipodi:role="line"
            id="tspan37-1"
            x="101.0336"
            y="49.613152"
            style="fill:#3366cc;stroke-width:0.54413301">Block 1</tspan></text>
     </g>
     <g
        inkscape:groupmode="layer"
        id="layer2"
        inkscape:label="level 1"
        via:id="level 1"
        class="viaLayer"
        style="display:inline">
       <rect
          style="fill:#6699ff;stroke-width:0.41080463"
          id="rect44"
          width="148.76357"
          height="45.180042"
          x="40.772236"
          y="-230.48019"
          transform="scale(1,-1)" />
       <rect
          y="-165.46501"
          x="40.22126"
          height="45.180042"
          width="148.76357"
          id="rect46"
          style="fill:#6699ff;stroke-width:0.41080463"
          transform="scale(1,-1)" />
       <rect
          style="fill:#6699ff;stroke-width:0.41080463"
          id="rect48"
          width="148.76357"
          height="45.180042"
          x="40.22126"
          y="-100.44984"
          transform="scale(1,-1)" />
       <rect
          y="55.82077"
          x="247.17685"
          height="45.180042"
          width="91.673492"
          id="rect60"
          style="fill:#6699ff;stroke-width:0.32248455" />
       <rect
          style="fill:#6699ff;stroke-width:0.32248455"
          id="rect62"
          width="91.673492"
          height="45.180042"
          x="246.83731"
          y="120.83596" />
       <rect
          y="185.85114"
          x="246.83731"
          height="45.180042"
          width="91.673492"
          id="rect64"
          style="fill:#6699ff;stroke-width:0.32248455" />
       <rect
          style="fill:#6699ff;stroke-width:0.32248455"
          id="rect68"
          width="91.673492"
          height="45.180042"
          x="374.45233"
          y="54.718819" />
       <rect
          y="119.734"
          x="374.11279"
          height="45.180042"
          width="91.673492"
          id="rect70"
          style="fill:#6699ff;stroke-width:0.32248455" />
       <rect
          style="fill:#6699ff;stroke-width:0.32248455"
          id="rect72"
          width="91.673492"
          height="45.180042"
          x="374.11279"
          y="184.74919" />
     </g>
     <g
        inkscape:groupmode="layer"
        id="layer3"
        inkscape:label="level 2"
        via:id="level 2"
        class="viaLayer"
        style="display:inline">
       <g
          id="g123"
          class="viaInteract"
          via:id="kbo1">
         <rect
            transform="scale(1,-1)"
            y="-135.96765"
            x="397.52927"
            height="7.2458525"
            width="44.464394"
            id="rect48-9"
            style="fill:#ffcc00;stroke-width:0.08994244" />
         <text
            inkscape:transform-center-y="-1.7119973"
            inkscape:transform-center-x="0.85599867"
            id="text71"
            y="133.90134"
            x="412.18997"
            style="font-style:normal;font-weight:normal;font-size:5.62744188px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;stroke-width:0.14068604"
            xml:space="preserve"><tspan
              style="stroke-width:0.14068604"
              y="133.90134"
              x="412.18997"
              id="tspan69"
              sodipodi:role="line">Obj 1</tspan></text>
       </g>
       <g
          id="g118"
          class="viaInteract"
          via:id="kbo2">
         <a
            id="a172">
           <rect
              y="-146.39462"
              x="397.52927"
              height="7.2458525"
              width="44.464394"
              id="rect46-0"
              style="fill:#ffcc00;stroke-width:0.08994244"
              transform="scale(1,-1)" />
         </a>
         <text
            inkscape:transform-center-y="-1.7119973"
            inkscape:transform-center-x="0.85599867"
            id="text71-9"
            y="144.0695"
            x="412.43851"
            style="font-style:normal;font-weight:normal;font-size:5.62744188px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;display:inline;fill:#000000;fill-opacity:1;stroke:none;stroke-width:0.14068605"
            xml:space="preserve"><tspan
              style="stroke-width:0.14068605"
              y="144.0695"
              x="412.43851"
              id="tspan69-3"
              sodipodi:role="line">Obj 2</tspan></text>
       </g>
       <g
          id="g112"
          class="viaInteract"
          via:id="kbo3">
         <rect
            transform="scale(1,-1)"
            y="-156.82158"
            x="397.69394"
            height="7.2458525"
            width="44.464394"
            id="rect44-8"
            style="fill:#ffcc00;stroke-width:0.08994244" />
         <text
            inkscape:transform-center-y="-1.7119973"
            inkscape:transform-center-x="0.85599867"
            id="text71-9-3"
            y="154.91216"
            x="412.72385"
            style="font-style:normal;font-weight:normal;font-size:5.62744188px;line-height:1.25;font-family:sans-serif;letter-spacing:0px;word-spacing:0px;display:inline;fill:#000000;fill-opacity:1;stroke:none;stroke-width:0.14068606"
            xml:space="preserve"><tspan
              style="stroke-width:0.14068606"
              y="154.91216"
              x="412.72385"
              id="tspan69-3-1"
              sodipodi:role="line">Obj 3</tspan></text>
       </g>
     </g>
     <g
        inkscape:groupmode="layer"
        id="layer4"
        inkscape:label="viaViews"
        style="display:none">
       <rect
          style="fill:none;stroke:#cc0000;stroke-width:1.12056458;stroke-miterlimit:4;stroke-dasharray:none"
          id="rect5987"
          width="454.36108"
          height="202.48137"
          x="29.462572"
          y="48.900471"
          class="viaView"
          via:layers="level 0;level 1;level 2"
          via:id="details" />
       <rect
          via:id="global"
          via:layers="level 0"
          class="viaView"
          y="3.7205887"
          x="8.0104437"
          height="277.95877"
          width="496.42911"
          id="rect6810"
          style="fill:none;stroke:#cc0000;stroke-width:1.37234282;stroke-miterlimit:4;stroke-dasharray:none" />
       <rect
          style="fill:none;stroke:#cc0000;stroke-width:0.37287453;stroke-miterlimit:4;stroke-dasharray:none"
          id="rect5987-3"
          width="152.86623"
          height="66.63868"
          x="320.71033"
          y="109.08585"
          class="viaView"
          via:layers="level 0;level 1;level 2"
          via:id="zoom" />
       <rect
          style="fill:none;stroke:#cc0000;stroke-width:0.60326457;stroke-miterlimit:4;stroke-dasharray:none"
          id="rect5987-3-1"
          width="98.261772"
          height="271.35861"
          x="167.82823"
          y="8.5334196"
          class="viaView"
          via:layers="level 0;level 1;level 2"
          via:id="interfaces" />
     </g>
   </svg>
    </div> 
  </div>
  <div style='position:absolute; top:20px; left:10px;'>
    <button id="controlBtn">-</button>
    <!-- 
    <button id="animBtn">a</button>
    -->
    <div id="control" style="display:none">
      <p>Slides</p>
      <!--
      <div id="slidesControl"></div><hr>
      <p>Views</p>
      <div id="viewsControl"></div><hr>
      <p>Layers</p>
      <div id="layersControl"></div><hr> 
      --> 
    </div> 
  </div>

  <div id="myModal" class="modal">
    <!-- Modal content -->
    <div class="modal-content">
      <span class="close">&times;</span>
      <div id="modal-text">Some text in the Modal..</div>
    </div>
  </div>

  </body>
</html>